Commit e1e5ff30 authored by Daniele's avatar Daniele
Browse files

Forgot to add the correct conflicts/replaces for the EFI packages...

parent e09433b5
......@@ -194,6 +194,8 @@ options=('!strip' '!emptydirs')
package_grub2-efi32() {
pkgdesc="GNU GRUB is a Multiboot boot loader. (EFI32 support binaries.)"
depends=("grub2-common=${pkgver}" 'dosfstools' 'efibootmgr')
conflicts=('grub2-efi-x32')
replaces=('grub2-efi-x32')
options=('!strip' '!emptydirs')
local _bindir="${pkgdir}/usr/lib/grub/i386-efi"
......@@ -222,6 +224,8 @@ options=('!strip' '!emptydirs')
package_grub2-efi64() {
pkgdesc="GNU GRUB is a Multiboot boot loader (EFI64 support binaries.)"
depends=("grub2-common=${pkgver}" 'dosfstools' 'efibootmgr')
conflicts=('grub2-efi-x64')
replaces=('grub2-efi-x64')
options=('!strip' '!emptydirs')
local _bindir="${pkgdir}/usr/lib/grub/x86_64-efi"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment